package cn.com.poc.writing.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for ExaminationQuery
 */
@Entity
public class ExaminationQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** examination_id
    *examination_id
    */ 
    private java.lang.String examinationId;
    
    @Column(name = "examination_id")
    public java.lang.String getExaminationId(){
        return this.examinationId;
    }
    
    public void setExaminationId(java.lang.String examinationId){
        this.examinationId = examinationId;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** title
    *title
    */ 
    private java.lang.String title;
    
    @Column(name = "title")
    public java.lang.String getTitle(){
        return this.title;
    }
    
    public void setTitle(java.lang.String title){
        this.title = title;
    }
    
    /** question_type
    *question_type
    */ 
    private java.lang.String questionType;
    
    @Column(name = "question_type")
    public java.lang.String getQuestionType(){
        return this.questionType;
    }
    
    public void setQuestionType(java.lang.String questionType){
        this.questionType = questionType;
    }
    
    /** total_score
    *total_score
    */ 
    private java.lang.Integer totalScore;
    
    @Column(name = "total_score")
    public java.lang.Integer getTotalScore(){
        return this.totalScore;
    }
    
    public void setTotalScore(java.lang.Integer totalScore){
        this.totalScore = totalScore;
    }
    
    /** n
    *n
    */ 
    private java.lang.Integer n;
    
    @Column(name = "n")
    public java.lang.Integer getN(){
        return this.n;
    }
    
    public void setN(java.lang.Integer n){
        this.n = n;
    }
    
    /** level
    *level
    */ 
    private java.lang.String level;
    
    @Column(name = "level")
    public java.lang.String getLevel(){
        return this.level;
    }
    
    public void setLevel(java.lang.String level){
        this.level = level;
    }
    
    /** language
    *language
    */ 
    private java.lang.String language;
    
    @Column(name = "language")
    public java.lang.String getLanguage(){
        return this.language;
    }
    
    public void setLanguage(java.lang.String language){
        this.language = language;
    }
    
    /** positions
    *positions
    */ 
    private java.lang.String positions;
    
    @Column(name = "positions")
    public java.lang.String getPositions(){
        return this.positions;
    }
    
    public void setPositions(java.lang.String positions){
        this.positions = positions;
    }
    
    /** examination_detail
    *examination_detail
    */ 
    private java.lang.String examinationDetail;
    
    @Column(name = "examination_detail")
    public java.lang.String getExaminationDetail(){
        return this.examinationDetail;
    }
    
    public void setExaminationDetail(java.lang.String examinationDetail){
        this.examinationDetail = examinationDetail;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
    /** CREATOR
    *CREATOR
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR")
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
    
    /** CREATED_TIME
    *CREATED_TIME
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
    /** MODIFIER
    *MODIFIER
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER")
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
    
    /** MODIFIED_TIME
    *MODIFIED_TIME
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
    /** SYS_VERSION
    *SYS_VERSION
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION")
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    
} 